Bug 157092 - [PATCH] audio/thunar-media-tags-plugin, broken with libexo >= 0.6.0
[PATCH] audio/thunar-media-tags-plugin, broken with libexo >= 0.6.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2011-05-16 20:30 UTC by duchateau.olivier
Modified: 2011-08-22 14:10 UTC (History)
0 users

See Also:

file.diff (10.23 KB, patch)
2011-05-16 20:30 UTC, duchateau.olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description duchateau.olivier 2011-05-16 20:30:10 UTC
I noticed with Thunar (v1.3.0), and surely with Thunar 1.2.0, this plugin crashes files manager.

When I use this plugin, in ~/.xsession-errors, I get this error:

/libexec/ld-elf.so.1: /usr/local/lib/thunarx-2/thunar-media-tags-plugin.so: Unde
fined symbol "exo_gtk_object_ref_sink"
/libexec/ld-elf.so.1: /usr/local/lib/thunarx-2/thunar-media-tags-plugin.so: Unde
fined symbol "exo_gtk_object_ref_sink"

It's known bug, https://bugzilla.xfce.org/show_bug.cgi?id=6295

Patch fix this problem.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-05-16 20:30:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 duchateau.olivier 2011-05-28 13:44:15 UTC
Tested successfully with Thunar v1.2.2.


Comment 3 Mark Linimon freebsd_committer 2011-07-12 05:41:30 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to pool at maintainer request for the moment.
Comment 4 pav freebsd_committer 2011-08-22 13:03:28 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 dfilter freebsd_committer 2011-08-22 14:09:54 UTC
pav         2011-08-22 13:09:40 UTC

  FreeBSD ports repository

  Modified files:
    audio/thunar-media-tags-plugin Makefile pkg-plist 
  Added files:
  - Unbreak runtime with new libexo
  PR:             ports/157092
  Submitted by:   Olivier Duchateau <duchateau.olivier@gmail.com>
  Revision  Changes    Path
  1.24      +4 -3      ports/audio/thunar-media-tags-plugin/Makefile
  1.1       +10 -0     ports/audio/thunar-media-tags-plugin/files/patch-thunar-plugin_Makefile.am (new)
  1.1       +95 -0     ports/audio/thunar-media-tags-plugin/files/patch-thunar-plugin_audio-tags-page.c (new)
  1.1       +51 -0     ports/audio/thunar-media-tags-plugin/files/patch-thunar-plugin_tag-renamer.c (new)
  1.3       +4 -4      ports/audio/thunar-media-tags-plugin/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"